<template>
  <div class="h-full flex flex-col">
    <div class="space-y-3 mb-8">
      <div
        class="bg-white rounded-lg p-5 flex items-center gap-x-5"
        v-for="item in items"
        :key="item.name"
      >
        <img :src="item.img" alt="icon" width="40px" class="self-start">
        <div>
          <p class="uppercase-title mb-2" v-if="item.title">{{ item.title }}</p>
          <p class="mb-2">{{ item.name }}</p>
          <p class="mb-5 text-sm text-grey-mlight">{{ item.description }}</p>
          <div class="flex items-center">
            <div
              class="flex items-center cursor-pointer border border-green font-bold rounded-md mr-4 py-2 px-5"
              @click="addItem(item)"
            >
              <div v-if="products.includes(item)" class="added-icon"/>
              <div v-text="!products.includes(item) ? 'Add' : 'Added'"/>
            </div>
            <p v-if="!products.includes(item)">${{ item.price }}</p>
            <p
              @click="removeItem(item)"
              v-else
              class="text-xs text-grey-mlight border-b border-grey-mlight cursor-pointer"
            >
              Remove
            </p>
          </div>
        </div>
      </div>
    </div>
    <common-btn
      text="Continue"
      @click="$emit('nextStage')"
      class="sticky bottom-5"
    />
  </div>
</template>

<script>
import {answersMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin],
  name: "CrossSell",
  data() {
    return {
      items: [
        {
          img: require('@/assets/img/common/shampoo.png'),
          title: 'DHT Blocking',
          name: 'Shampoo',
          description: 'Cleans hair while maintaining essential moisture and priming your scalp for healthy hair growth.',
          price: 39.95,
        },
        {
          img: require('@/assets/img/common/conditioner.png'),
          title: 'DHT Blocking',
          name: 'Conditioner',
          description: 'Hydrates and protects strands for a softer, shinier, more managable hair that looks dense and healthy.',
          price: 39.95,
        },
        {
          img: require('@/assets/img/common/doctor.png'),
          name: '1x Additional Doctor Visit',
          description: 'Donec nec justo eget felis facilisis fermentum. Aliquam porttitor mauris sit amet orci. Aenean dignissim.',
          price: 25,
        },
        {
          img: require('@/assets/img/common/doctor.png'),
          name: '2x Additional Doctor Visit',
          description: 'Donec nec justo eget felis facilisis fermentum. Aliquam porttitor mauris sit amet orci. Aenean dignissim.',
          price: 50,
        },
      ]
    }
  },
  methods: {
    addItem(item) {
      if (!this.products.includes(item)) {
        this.setAnswer(this.answersKeys.CROSS_SELL, [...this.products, item])
      }
    },
    removeItem(item) {
      const items = [...this.products]
      const idx = items.findIndex(prod => item.name === prod.name)
      if (idx !== -1) {
        items.splice(idx, 1)
        this.setAnswer(this.answersKeys.CROSS_SELL, items)
      }
    }
  },
  computed: {
    products() {
      return this.answer(this.answersKeys.CROSS_SELL)?.default ?? []
    }
  }
}
</script>

<style scoped>
.added-icon {
  @apply bg-green w-3 h-3 mr-2;
  mask: url(~@/assets/img/icons/tick.svg) no-repeat center / contain;
}
</style>
